post
https://app.workramp.com/api/v1/academies//instant_auth_request
Using a JWT, generate an instant login url for your Academy
Requirements for JWT
Signing AlgorithmMust be HS512
Required JWT Claims(Claims are the keys in the object you'll turn into a JWT)
- name -// the name of the academy contact to find or create)
- sub // the email of the academy contact to find or create)
- iat // the numeric timestamp of when you made this request; must be within 2 minutes of api call, always use the current time
- exp // the numeric timestamp when this request expires; must be within 2 minutes of api call, recommend to use 1 minute from now.
- dest_path // optional, path to redirect user to after instant login
- workramp_custom_fields // optional, a stringified map where each key corresponds to a custom registration field api_name. As an example, the object may look like
{"favorite_color":"grey", "accepts_terms":"true"}and the unencoded JWT payload would look like{"workramp_custom_fields": "{\"favorite_color\":\"grey\",\"accepts_terms\":\"true\"}"}
